Skip to content
Browse files

- Made the libxml related stuff to error out if someone does --disabl…

…e-all

  or --disable-libxml. Better than silently just leave the ext out..
  • Loading branch information...
1 parent aba79c2 commit 39bcbfc3064f8a393d5ff7d951d303dedfe6a00d foobar committed Apr 27, 2005
Showing with 64 additions and 34 deletions.
  1. +5 −1 ext/dom/config.m4
  2. +7 −3 ext/simplexml/config.m4
  3. +8 −3 ext/soap/config.m4
  4. +16 −10 ext/xml/config.m4
  5. +5 −1 ext/xmlreader/config.m4
  6. +15 −12 ext/xmlrpc/config.m4
  7. +8 −4 ext/xsl/config.m4
View
6 ext/dom/config.m4
@@ -10,7 +10,11 @@ if test -z "$PHP_LIBXML_DIR"; then
[ --with-libxml-dir[=DIR] DOM: libxml2 install prefix.], no, no)
fi
-if test "$PHP_DOM" != "no" && test "$PHP_LIBXML" != "no"; then
+if test "$PHP_DOM" != "no"; then
+
+ if test "$PHP_LIBXML" = "no"; then
+ AC_MSG_ERROR([DOM extension requires LIBXML extension, add --enable-libxml])
+ fi
PHP_SETUP_LIBXML(DOM_SHARED_LIBADD, [
AC_DEFINE(HAVE_DOM,1,[ ])
View
10 ext/simplexml/config.m4
@@ -1,15 +1,19 @@
dnl $Id$
dnl config.m4 for extension simplexml
-PHP_ARG_ENABLE(simplexml, whether to enable simplexml support,
-[ --disable-simplexml Disable simplexml support], yes)
+PHP_ARG_ENABLE(simplexml, whether to enable SimpleXML support,
+[ --disable-simplexml Disable SimpleXML support], yes)
if test -z "$PHP_LIBXML_DIR"; then
PHP_ARG_WITH(libxml-dir, libxml2 install dir,
[ --with-libxml-dir=DIR SimpleXML: libxml2 install prefix], no, no)
fi
-if test "$PHP_SIMPLEXML" != "no" && test "$PHP_LIBXML" != "no"; then
+if test "$PHP_SIMPLEXML" != "no"; then
+
+ if test "$PHP_LIBXML" = "no"; then
+ AC_MSG_ERROR([SimpleXML extension requires LIBXML extension, add --enable-libxml])
+ fi
PHP_SETUP_LIBXML(SIMPLEXML_SHARED_LIBADD, [
AC_DEFINE(HAVE_SIMPLEXML,1,[ ])
View
11 ext/soap/config.m4
@@ -1,15 +1,20 @@
dnl $Id$
dnl config.m4 for extension soap
-PHP_ARG_ENABLE(soap, whether to enable soap support,
+PHP_ARG_ENABLE(soap, whether to enable SOAP support,
[ --enable-soap Include SOAP support.])
if test -z "$PHP_LIBXML_DIR"; then
PHP_ARG_WITH(libxml-dir, libxml2 install dir,
- [ --with-libxml-dir=DIR XML: libxml2 install prefix], no, no)
+ [ --with-libxml-dir=DIR SOAP: libxml2 install prefix], no, no)
fi
-if test "$PHP_SOAP" != "no" && test "$PHP_LIBXML" != "no"; then
+if test "$PHP_SOAP" != "no"; then
+
+ if test "$PHP_LIBXML" = "no"; then
+ AC_MSG_ERROR([SOAP extension requires LIBXML extension, add --enable-libxml])
+ fi
+
PHP_SETUP_LIBXML(SOAP_SHARED_LIBADD, [
AC_DEFINE(HAVE_SOAP,1,[ ])
PHP_NEW_EXTENSION(soap, soap.c php_encoding.c php_http.c php_packet_soap.c php_schema.c php_sdl.c php_xml.c, $ext_shared)
View
26 ext/xml/config.m4
@@ -13,31 +13,37 @@ fi
PHP_ARG_WITH(libexpat-dir, libexpat install dir,
[ --with-libexpat-dir=DIR XML: libexpat install prefix (deprecated)], no, no)
-if test "$PHP_XML" != "no" && test "$PHP_LIBXML" != "no" -o "$PHP_LIBEXPAT_DIR" != "no"; then
+if test "$PHP_XML" != "no"; then
+
dnl
- dnl Default to libxml2.
+ dnl Default to libxml2 if --with-libexpat-dir is not used.
dnl
- PHP_SETUP_LIBXML(XML_SHARED_LIBADD, [
- xml_extra_sources="compat.c"
- ], [
- if test "$PHP_LIBEXPAT_DIR" = "no"; then
- AC_MSG_ERROR([xml2-config not found. Use --with-libxml-dir=<DIR>])
+ if test "$PHP_LIBEXPAT_DIR" = "no"; then
+
+ if test "$PHP_LIBXML" = "no"; then
+ AC_MSG_ERROR([XML extension requires LIBXML extension, add --enable-libxml])
fi
- ])
+
+ PHP_SETUP_LIBXML(XML_SHARED_LIBADD, [
+ xml_extra_sources="compat.c"
+ ], [
+ AC_MSG_ERROR([xml2-config not found. Use --with-libxml-dir=<DIR>])
+ ])
+ fi
dnl
dnl Check for expat only if --with-libexpat-dir is used.
dnl
if test "$PHP_LIBEXPAT_DIR" != "no"; then
for i in $PHP_XML $PHP_LIBEXPAT_DIR; do
- if test -f "$i/$PHP_LIBDIR/libexpat.a" -o -f "$i/$PHP_LIBDIR/libexpat.$SHLIB_SUFFIX_NAME"; then
+ if test -f "$i/$PHP_LIBDIR/libexpat.a" || test -f "$i/$PHP_LIBDIR/libexpat.$SHLIB_SUFFIX_NAME"; then
EXPAT_DIR=$i
break
fi
done
if test -z "$EXPAT_DIR"; then
- AC_MSG_ERROR(not found. Please reinstall the expat distribution.)
+ AC_MSG_ERROR([not found. Please reinstall the expat distribution.])
fi
PHP_ADD_INCLUDE($EXPAT_DIR/include)
View
6 ext/xmlreader/config.m4
@@ -10,7 +10,11 @@ if test -z "$PHP_LIBXML_DIR"; then
[ --with-libxml-dir=DIR XMLReader: libxml2 install prefix], no, no)
fi
-if test "$PHP_XMLREADER" != "no" && test "$PHP_LIBXML" != "no"; then
+if test "$PHP_XMLREADER" != "no"; then
+
+ if test "$PHP_LIBXML" = "no"; then
+ AC_MSG_ERROR([XMLReader extension requires LIBXML extension, add --enable-libxml])
+ fi
PHP_SETUP_LIBXML(XMLREADER_SHARED_LIBADD, [
AC_DEFINE(HAVE_XMLREADER,1,[ ])
View
27 ext/xmlrpc/config.m4
@@ -28,20 +28,23 @@ if test "$PHP_XMLRPC" != "no"; then
AC_DEFINE(HAVE_XMLRPC,1,[ ])
dnl
- dnl Default to libxml2.
+ dnl Default to libxml2 if --with-expat-dir is not used
dnl
- PHP_SETUP_LIBXML(XMLRPC_SHARED_LIBADD, [
- if test "$PHP_XML" = "no"; then
- PHP_ADD_SOURCES(ext/xml, compat.c)
- PHP_ADD_BUILD_DIR(ext/xml)
- fi
- ], [
- if test "$PHP_EXPAT_DIR" = "no"; then
- AC_MSG_ERROR([xml2-config not found. Use --with-libxml-dir=<DIR>])
+ if test "$PHP_EXPAT_DIR" = "no"; then
+
+ if test "$PHP_LIBXML" = "no"; then
+ AC_MSG_ERROR([XML-RPC extension requires LIBXML extension, add --enable-libxml])
fi
- ])
- if test "$PHP_EXPAT_DIR" != "no"; then
+ PHP_SETUP_LIBXML(XMLRPC_SHARED_LIBADD, [
+ if test "$PHP_XML" = "no"; then
+ PHP_ADD_SOURCES(ext/xml, compat.c)
+ PHP_ADD_BUILD_DIR(ext/xml)
+ fi
+ ], [
+ AC_MSG_ERROR([xml2-config not found. Use --with-libxml-dir=<DIR>])
+ ])
+ else
testval=no
for i in $PHP_EXPAT_DIR $XMLRPC_DIR /usr/local /usr; do
if test -f $i/$PHP_LIBDIR/libexpat.a -o -f $i/$PHP_LIBDIR/libexpat.$SHLIB_SUFFIX_NAME; then
@@ -54,7 +57,7 @@ if test "$PHP_XMLRPC" != "no"; then
done
if test "$testval" = "no"; then
- AC_MSG_ERROR(XML-RPC support requires libexpat. Use --with-expat-dir=<DIR>)
+ AC_MSG_ERROR([XML-RPC support requires libexpat. Use --with-expat-dir=<DIR> (deprecated!)])
fi
fi
View
12 ext/xsl/config.m4
@@ -6,12 +6,16 @@ PHP_ARG_WITH(xsl, for XSL support,
[ --with-xsl[=DIR] Include new XSL support (requires libxslt >= 1.0.18).
DIR is the libxslt install directory.])
-if test "$PHP_XSL" != "no" -a "$PHP_DOM" = "no"; then
- AC_MSG_ERROR([XSL extension requires DOM extension, add --enable-dom.])
-fi
-
if test "$PHP_XSL" != "no"; then
+ if test "$PHP_LIBXML" = "no"; then
+ AC_MSG_ERROR([XSL extension requires LIBXML extension, add --enable-libxml])
+ fi
+
+ if test "$PHP_DOM" = "no"; then
+ AC_MSG_ERROR([XSL extension requires DOM extension, add --enable-dom])
+ fi
+
for i in $PHP_XSL /usr/local /usr; do
if test -x "$i/bin/xslt-config"; then
XSLT_CONFIG=$i/bin/xslt-config

0 comments on commit 39bcbfc

Please sign in to comment.
Something went wrong with that request. Please try again.